Acme.Serve

## Class Serve.PathTreeDictionary

- java.lang.Object
- - Acme.Serve.Serve.PathTreeDictionary

- Enclosing class:
    Serve

      public static class Serve.PathTreeDictionary
      extends Object

  Class PathTreeDictionary - this class allows to put path elements in format n1/n2/n2[/*.ext] and get match to a pattern and a unmatched tail

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serve.PathTreeDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSiblingNames(Acme.Serve.Serve.PathTreeDictionary.Node node, Vector result, String path)`
    `void` | `addSiblingObjects(Acme.Serve.Serve.PathTreeDictionary.Node node, Vector result)`
    `Enumeration` | `elements()`
    `Object[]` | `get(String path)` This function looks up in the directory to find the perfect match and remove matching part from path, so if you need to keep original path, save it somewhere
    `Enumeration` | `keys()`
    `void` | `put(String path, Object value)`
    `Object[]` | `remove(Object value)`
    `Object[]` | `remove(Acme.Serve.Serve.PathTreeDictionary.Node node, Object value)`
    `Object[]` | `remove(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serve.PathTreeDictionary

          public Serve.PathTreeDictionary()

  - ### Method Detail

    - #### put

          public void put(String path,
                 Object value)

    - #### remove

          public Object[] remove(Object value)

    - #### remove

          public Object[] remove(String path)

    - #### remove

          public Object[] remove(Acme.Serve.Serve.PathTreeDictionary.Node node,
                        Object value)

    - #### get

          public Object[] get(String path)

      This function looks up in the directory to find the perfect match and remove matching part from path, so if you need to keep original path, save it somewhere

    - #### keys

          public Enumeration keys()

    - #### addSiblingNames

          public void addSiblingNames(Acme.Serve.Serve.PathTreeDictionary.Node node,
                             Vector result,
                             String path)

    - #### elements

          public Enumeration elements()

    - #### addSiblingObjects

          public void addSiblingObjects(Acme.Serve.Serve.PathTreeDictionary.Node node,
                               Vector result)

Copyright © 2014. All Rights Reserved.